@import 'src/style/includes/sass_vars_and_mixins.module.scss';


.wrapper {
  position: -webkit-sticky;
  position: sticky;
  top: var(--space-xxs);
  padding-left: 0;

  @include smaller-than-m {
    transform: translateX(-3%);
    position: fixed;
    left: -1000px;
    top: 0;
    bottom: 0;
    width: 1px;
    height: 1px;
    overflow: hidden;
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
    background-color: rgba(white, 0.75);
    opacity: 0.2;
    padding-top: var(--space-m);
    padding-bottom: var(--space-xl);
    padding-left: var(--space-m);
    transition: transform 0.2s, opacity 0.2s, left 0s 0.2s, top 0s 0.2s, right 0s 0.2s,
      width 0s 0.2s, height 0s 0.2s, overflow 0s 0.2s;

    &.isOpen {
      left: 0;
      max-width: calc(100% - 50px);
      width: 300px;
      height: auto;
      overflow: scroll;
      opacity: 1;
      z-index: 999;
      transform: translateX(0);
      transition: transform 0.2s, opacity 0.2s;
      box-shadow: 0 0 5px rgba(black, 0.2);
    }
  }

  & ~ .toggleButton {
    z-index: 999;
  }
}


.item {
  list-style: none;
  margin-bottom: var(--space-xs);
  font-weight: 400;
  line-height: var(--font-line-height-tighter);

  .item {
    border-bottom: none;
    margin: 0;
    padding: 0;
  }

  &.hasSeparator {
    margin-top: var(--space-m);
    padding-top: var(--space-s);
    border-top: 1px solid var(--color-background-weakest);
  }

  &.current {
    font-weight: 500;
  }

  .items {
    margin: var(--space-xxs) 0 var(--space-s) 0;
    border-left: 2px solid var(--color-background-weakest);
    padding-left: var(--space-xxs);
  }
}

.itemLink {
  display: block;
  padding: var(--space-xxxs) 0;

  &.current {
    //box-shadow: 0 -1px 0 0 white, 0 1px 0 0 white, -3px 0 0 0 $color-primary;
    box-shadow: -3px 0 0 0 var(--color-brand-base);
  }
}

.toggleButton {
  position: fixed;
  bottom: var(--space-m);
  left: var(--space-m);
  z-index: 2;
}
